%% ----------------------------------------------------------------------
%% Esta es una plantilla para la clase de documento exam, en español
%% ----------------------------------------------------------------------
%% 2017 por Fausto M. Lagos S. <piratax007@protonmail.ch>
%% 
%% Este trabajo puede ser distribuido o modificado bajo los
%% términos y condiciones de la LaTeX Project Public License (LPPL) v1.3C, 
%% o cualquier versión posterior. La última versión de esta licencia
%% puede verse en:
%% http://www.latex-project.org/lppl.txt
%% 
%% Usted es libre de usarlo, modificarlo o distribuirlo siempre que se
%% respeten los términos de la licencia y se reconozca al autor original
%% ----------------------------------------------------------------------

%Preámbulo
\documentclass[11pt, legalpaper]{exam}
\usepackage[utf8]{inputenc}
\usepackage[slovak]{babel}
\usepackage[margin=.55in]{geometry}
\usepackage{amsmath,amssymb}
\usepackage{multicol}
\usepackage{graphicx}
\usepackage{tikz}
\usepackage{wrapfig}

% Configuración del Encabezado
\newcommand{\class}{B211-132NAST}
\newcommand{\term}{Numerical Analysis of Structures}
\newcommand{\examnum}{\quad}
\newcommand{\examdate}{6.1.2022 \,9:00}
\newcommand{\timelimit}{1 hour 40 minutes}
\pagestyle{head}
\firstpageheader{Faculty of Civil Engineering}{MIDTERM REVIEW TEST}{Department of Mechanics}
\runningheader{\class}{\examnum\ - Page \thepage\ of \numpages}{\examdate}
\runningheadrule

% Configuración de la tabla de calificación
\pointpoints{Points}{Points}
\hpword{Points:}
\vpword{Points}
\vtword{Total:}
\htword{Total}
\vsword{Results}
\hsword{Results:}
\vqword{Problem}
\hqword{Problem:}

\begin{document}
% Definición del Encabezado
\vspace{1cm}
\noindent
\begin{tabular*}{\textwidth}{l @{\extracolsep{\fill}} r @{\extracolsep{6pt}} l}
\textbf{\class}  \\
\textbf{\term} &&\\
\textbf{Room: \examnum} &\textbf{Name:} & \makebox[2.5in]{\hrulefill}\\
\textbf{Date: \examdate} &&\\
\textbf{Time limit: \timelimit} & Lecturers & \makebox[2.5in]{\emph{Prof. Jan Zeman and Martin Ladecký}}
\end{tabular*}\\
\rule[2ex]{\textwidth}{2pt}

% Bloque de instrucciones
\noindent
The test will consist of three parts. We adopt the \textbf{open-book policy}. You need to exceed the 50\% threshold (the test can be re-taken). The test results represent 20\% of the overall grade. The test results will be announced within two weeks.
%\begin{itemize}
%\item Direct stiffness method (10 points) 
%\item Governing equations of 1D elasticity (4 points)
%\item Finite element method for 1D elasticity (6 points) 
%\end{itemize}
% Tabla de calificaciones
\begin{center}
Teachers' table of grades. \\
\addpoints
% Puede presentar la tabla de calificación en orientación vertical [v] u horizontal [h]
\gradetable[h][questions]
\end{center}


\noindent
\rule[2ex]{\textwidth}{2pt}
\begin{minipage}{.65\textwidth}
\paragraph{Problem~1~[10 points]}
%%%%%%%%%%%%%%%%%%%%%%%%
%
The one-bar truss structure shown right is fixed at node \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {1}}} and subjected to the concentrated force~(full arrow) of $40$~kN and the prescribed displacement of $5$~mm~(hollow arrow) at node \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {2}}}. Determine:
%
\begin{itemize}
	\itemsep=0pt
	\item the $4 \times 4$ global stiffness matrix of the problem and the $4 \times 1$ matrix of the global external forces,
	\item specify which degrees of freedom are supported~(E), and which are free~(F),
	\item solve for the unknown displacement of node \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {2}}},
	\item compute the stress of the element \framebox[2.1\width]{1},
	\item check equilibrium in the node \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {1}}}.
\end{itemize}
%
The Young modulus of the bar is $E=30$~GPa and the cross-sectional area equals to $A= 2 \cdot 10^{-3}$~m$^2$.
%
%
\end{minipage}
\begin{minipage}[t]{0.3\textwidth}
 \vspace{-3cm}
  \centering\raisebox{\dimexpr \topskip-\height}{
    \includegraphics[width=1.0\textwidth]{structure_1.png}}
\end{minipage}

\vspace{2cm}


\begin{minipage}[t]{0.3\textwidth}
 \vspace{-2cm}
  \centering\raisebox{\dimexpr \topskip-\height}{
    \includegraphics[width=0.8\textwidth]{structure_2_2.png}}
\end{minipage}
\begin{minipage}{.65\textwidth}
\paragraph{Problem~2~[4 points]}
For the one-dimensional elasticity problem shown left specify
%
\begin{itemize}\itemsep=0pt
	\item the kinematic~(essential) boundary conditions,
	\item the static~(natural) boundary condition~(if any). 
	\item weak form of the governing equations.
\end{itemize}
%
The Young modulus equals to $E=20$~GPa.
\end{minipage}

\vspace{2cm}


\paragraph{Problem~3~[6 points]}
%%%%%%%%%%%%%%%%%%%%%%%
Determine the reaction force $R$ at node $\bf 3$ for given displacements of node $\bf 1$, $u_1 = 3$~mm, and node $\bf 2$, $u_2 = -4$~mm, for discretization with 
%
\begin{itemize}\itemsep=0pt  
\item two finite elements {\bf 1}--{\bf 2} and {\bf 2}--{\bf 3} with linear basis functions, 
\item one finite element with quadratic basis functions.
\end{itemize}
%
Consider the cross-section area of $A = 20 \cdot 10^{-2}$~m$^2$ and the Young modulus of $E = 30$~GPa.
%
\begin{center}
\def\svgwidth{.325\textwidth}
\includegraphics[width=0.5\textwidth]{structure_2_3.png}
\end{center}
%
\emph{Hint}: Compute reactions from the distribution of axial force $N = A \sigma = EA \varepsilon = EA u'$.

\begin{center}
 \framebox{\sc Good luck!}
\end{center}

\newpage
\noindent
\rule[2ex]{\textwidth}{2pt}
\begin{center}
	\textbf{Solutions}
\end{center}


% Preguntas de ejemplo.
\begin{questions}
%\addpoints


%\addpoints
\question[10] 


%\addpoints
\question[4] 

%\addpoints
\question[6]
\end{questions}


\end{document}
